//---------------------------------------------------------------------------
#include <vcl.h>
#include <FileCtrl.hpp>
#pragma hdrstop

#include "thdir.h"
#include "fcmain.h"
#include <FileCtrl.hpp>

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall Tfrm_fs::Tfrm_fs(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall Tfrm_fs::SpeedButtonSearchClick(TObject *Sender)
{
    if (!po_ThreadDir->ProcessRunning) {
        RichEditSearch->SetFocus ();
        RichEditSearch->Clear ();


        po_ThreadDir->SearchDataTime = CheckBoxDateTimeSearch->Checked;
        DateTimePickerBeg->Time = DateTimePickerTimeBeg->Time;
        DateTimePickerEnd->Time = DateTimePickerTimeEnd->Time;
        po_ThreadDir->SearchDateBeg  = DateTimePickerBeg->Date;
        po_ThreadDir->SearchDateEnd  = DateTimePickerEnd->Date;
        po_ThreadDir->SearchTimeBeg  = DateTimePickerTimeBeg->Time;
        po_ThreadDir->SearchTimeEnd  = DateTimePickerTimeEnd->Time;


        po_ThreadDir->SearchPath = EditSearch->Text;
        po_ThreadDir->SearchText = EditTextSearch->Text;
        //po_ThreadDir->SearchText = 0x0;
        po_ThreadDir->SearchSubDir = cb_subdir->Checked;
        po_ThreadDir->Resume ();
        }
}
//---------------------------------------------------------------------------
void __fastcall Tfrm_fs::EditSearchKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
    switch (Key) {
        case VK_RETURN:
            SpeedButtonSearchClick(Sender);
            break;
        }
}
//---------------------------------------------------------------------------

void __fastcall Tfrm_fs::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
    switch (Key) {
        case VK_ESCAPE:
            po_ThreadDir->StopProcess = true;
            break;
        }
}
//---------------------------------------------------------------------------

void __fastcall Tfrm_fs::FormResize(TObject *Sender)
{
    EditSearch->Width = (PanelOptions->Left-EditSearch->Left) - 10;
    EditTextSearch->Width = (PanelOptions->Left-EditTextSearch->Left) - 10;
}
//---------------------------------------------------------------------------
void __fastcall Tfrm_fs::SpeedButtonDirClick(TObject *Sender)
{
    String  dir;

    SelectDirectory ("Select Directory", " ", dir);
    if (dir.LastDelimiter("\\") == dir.Length()) {
        EditSearch->Text = dir + ExtractFileName (EditSearch->Text);
        }
    else {
        EditSearch->Text = dir + "\\" + ExtractFileName (EditSearch->Text);
        }
}

//---------------------------------------------------------------------------

void __fastcall Tfrm_fs::FormClose(TObject *Sender, TCloseAction &Action)
{
    StatusBar1->SimpleText = "Terminating search window, please wait for thread to clean up";
    if (po_ThreadDir->ProcessRunning) {
        po_ThreadDir->StopProcess = true;
        po_ThreadDir->Kill = true;
        po_ThreadDir->Resume();
        po_ThreadDir->WaitFor ();
        po_ThreadDir->Terminate();
        }
    else {
        po_ThreadDir->Terminate();
        }
	Action = caFree;
}
//---------------------------------------------------------------------------

void __fastcall Tfrm_fs::FormCreate(TObject *Sender)
{
    po_ThreadDir = new ThreadDir (true);
}
//---------------------------------------------------------------------------


