//---------------------------------------------------------------------------
#ifndef thdirH
#define thdirH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class ThreadDir : public TThread
{
private:
    CRITICAL_SECTION	csThreadSafe;	// Critical section
protected:
    String OldDirectory;
    String FoundDirectory;
    void __fastcall Execute();
public:
    class Tfrm_fs *frm_fs;
    TSearchRec sr;
    bool Kill;
    bool StopProcess;
    bool ProcessRunning;
    bool SearchSubDir;   
    bool SearchDataTime;
    TDateTime   SearchDateBeg;
    TDateTime   SearchDateEnd;
    TDateTime   SearchTimeBeg;
    TDateTime   SearchTimeEnd;
    long FileCount;
    String SearchPath;
    String SearchText;
    String  Msg;
    String  StatusMsg;
    TTextAttributes  *SelAttributes;
    void SearchDirectoryTree (String path);
    void SearchDirectory     (String path);
    void SearchFileText      (String InputFile, String text);
    void __fastcall ThreadInit (void);
    void __fastcall ThreadSuspend (void);
    void __fastcall UpdateThreadString (void);
    void __fastcall UpdateThreadStatusBar (void);
    __fastcall ThreadDir(bool CreateSuspended);
};
//---------------------------------------------------------------------------
#endif
